package com.ds.ds;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.sql.*;
import java.util.Optional;

@Component
public class DBConnector {
    @Value("${app.db.name}")
    private String dbName;
    @Value("${app.db.path}")
    private String path;

    public void createDB() {
        try (Connection conn = DriverManager.getConnection("jdbc:sqlite:" + path + dbName)) {
            if (conn != null) {
                System.out.println("jdbc:sqlite:" + path + dbName);
                DatabaseMetaData meta = conn.getMetaData();
                System.out.println("The driver name is " + meta.getDriverName());
                System.out.println("A new database has been created.");
            }
        } catch (SQLException e) {
            System.out.println(e.getMessage());
        }
    }

    public void createTable(String query) {
        try (Connection conn = DriverManager.getConnection("jdbc:sqlite:" + path + dbName);
             Statement stmt = conn.createStatement()) {
            // create a new table
            stmt.execute(query);
        } catch (SQLException e) {
            System.out.println(e.getMessage());
        }
    }

    public void insert(String query) {
        try (Connection conn = DriverManager.getConnection("jdbc:sqlite:" + path + dbName); PreparedStatement pstmt = conn.prepareStatement(query)) {
            pstmt.setString(1, "Vasya");
            pstmt.setDouble(2, 10);
            pstmt.executeUpdate();
            System.out.println("insert value");
        } catch (SQLException e) {
            System.out.println(e.getMessage());
        }
    }

    private Optional<Connection> getDB() {
        try (Connection conn = DriverManager.getConnection("jdbc:sqlite:" + path + dbName)) {
            return Optional.ofNullable(conn);
        } catch (SQLException e) {
            System.out.println(e.getMessage());
            return Optional.empty();
        }
    }
}