package com.ds.ds;

import com.ds.ds.addressUtils.AddressPool;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

@SpringBootApplication
public class DsApplication {
    public static void main(String[] args) {
        // https://www.sqlitetutorial.net/sqlite-java/
        ApplicationContext context = SpringApplication.run(DsApplication.class, args);
        DBConnector dbConnector = context.getBean(DBConnector.class);
        dbConnector.createDB();
        String sql = "CREATE TABLE IF NOT EXISTS warehouses (\n"
                + "	id integer PRIMARY KEY,\n"
                + "	name text NOT NULL,\n"
                + "	capacity real\n"
                + ");";
        dbConnector.createTable(sql);
        String ins = "INSERT INTO warehouses(name,capacity) VALUES(?,?)";
        dbConnector.insert(ins);

        AddressPool.CreatePool(500);
    }
}
